Bug 245590 - The "CAVEATS" section of groupadd man page is wrong
Summary: The "CAVEATS" section of groupadd man page is wrong
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-25 16:09 UTC by Jakub Hrozek
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 14:52:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A proposed patch (716 bytes, patch)
2007-06-25 16:09 UTC, Jakub Hrozek
no flags Details | Diff

Description Jakub Hrozek 2007-06-25 16:09:59 UTC
Description of problem:

The groupadd(8) man page says that:
---
Groupnames must begin with a lower case letter or an underscore, and only 
lower case letters, underscores, dashes, and dollar signs may follow. In 
regular expression terms: [a-z_][a-z0-9_-]*[$] 
---
but it's perfectly possible to add groups like "Foo", "foo.bar" or "FOO".

The statement "Groupnames may only be up to 16 characters long. " is wrong, 
the limit is 32 characters. This statement is also included twice.

Version-Release number of selected component (if applicable):
4.0.18.1-15

How reproducible:
always

Steps to Reproduce:
1. man groupadd

Comment 1 Jakub Hrozek 2007-06-25 16:09:59 UTC
Created attachment 157766 [details]
A proposed patch

Comment 2 Peter Vrabec 2007-06-26 14:52:34 UTC
fixed in shadow-utils-4.0.18.1-16.fc8


Note You need to log in before you can comment on or make changes to this bug.